Package com.independentsoft.office.vml

# Class StrokeChild

java.lang.Object
com.independentsoft.office.vml.StrokeChild

Direct Known Subclasses:
  `TextBoxBottomStroke`, `TextBoxInteriorStroke`, `TextBoxLeftStroke`, `TextBoxRightStroke`, `TextBoxTopStroke`

public abstract class StrokeChild extends Object
The Class StrokeChild.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StrokeChild()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract StrokeChild`
  `clone()`
  `String`
  `getAlternateImageReferenceLocation()`
  Gets the alternate image reference location.
  `String`
  `getAlternatePatternColor()`
  Gets the alternate pattern color.
  `String`
  `getColor()`
  Gets the color.
  `String`
  `getDashPattern()`
  Gets the dash pattern.
  `StrokeArrowType`
  `getEndArrow()`
  Gets the end arrow.
  `StrokeArrowLength`
  `getEndArrowLength()`
  Gets the end arrow length.
  `StrokeArrowWidth`
  `getEndArrowWidth()`
  Gets the end arrow width.
  `StrokeEndCapType`
  `getEndCap()`
  Gets the end cap.
  `ExtensionHandlingBehavior`
  `getExtensionHandlingBehavior()`
  Gets the extension handling behavior.
  `FillType`
  `getFillType()`
  Gets the fill type.
  `ImageAspect`
  `getImageAspectRatio()`
  Gets the image aspect ratio.
  `String`
  `getImageSize()`
  Gets the image size.
  `String`
  `getImageUrl()`
  Gets the image url.
  `StrokeJoinStyle`
  `getJoinStyle()`
  Gets the join style.
  `StrokeLineStyle`
  `getLineStyle()`
  Gets the line style.
  `double`
  `getMiterLimit()`
  Gets the miter limit.
  `String`
  `getOpacity()`
  Gets the opacity.
  `String`
  `getSource()`
  Gets the source.
  `StrokeArrowType`
  `getStartArrow()`
  Gets the start arrow.
  `StrokeArrowLength`
  `getStartArrowLength()`
  Gets the start arrow length.
  `StrokeArrowWidth`
  `getStartArrowWidth()`
  Gets the start arrow width.
  `String`
  `getTitle()`
  Gets the title.
  `String`
  `getWeight()`
  Gets the weight.
  `boolean`
  `isDisplay()`
  Checks if is display.
  `boolean`
  `isForceDash()`
  Checks if is force dash.
  `boolean`
  `isImageAlignment()`
  Checks if is image alignment.
  `boolean`
  `isInsetBorderFromPath()`
  Checks if is inset border from path.
  `void`
  `setAlternateImageReferenceLocation​(String alternateImageReferenceLocation)`
  Sets the alternate image reference location.
  `void`
  `setAlternatePatternColor​(String alternatePatternColor)`
  Sets the alternate pattern color.
  `void`
  `setColor​(String color)`
  Sets the color.
  `void`
  `setDashPattern​(String dashPattern)`
  Sets the dash pattern.
  `void`
  `setDisplay​(boolean display)`
  Sets the display.
  `void`
  `setEndArrow​(StrokeArrowType endArrow)`
  Sets the end arrow.
  `void`
  `setEndArrowLength​(StrokeArrowLength endArrowLength)`
  Sets the end arrow length.
  `void`
  `setEndArrowWidth​(StrokeArrowWidth endArrowWidth)`
  Sets the end arrow width.
  `void`
  `setEndCap​(StrokeEndCapType endCap)`
  Sets the end cap.
  `void`
  `setExtensionHandlingBehavior​(ExtensionHandlingBehavior extensionHandlingBehavior)`
  Sets the extension handling behavior.
  `void`
  `setFillType​(FillType fillType)`
  Sets the fill type.
  `void`
  `setForceDash​(boolean forceDash)`
  Sets the force dash.
  `void`
  `setImageAlignment​(boolean imageAlignment)`
  Sets the image alignment.
  `void`
  `setImageAspectRatio​(ImageAspect imageAspectRatio)`
  Sets the image aspect ratio.
  `void`
  `setImageSize​(String imageSize)`
  Sets the image size.
  `void`
  `setImageUrl​(String imageUrl)`
  Sets the image url.
  `void`
  `setInsetBorderFromPath​(boolean insetBorderFromPath)`
  Sets the inset border from path.
  `void`
  `setJoinStyle​(StrokeJoinStyle joinStyle)`
  Sets the join style.
  `void`
  `setLineStyle​(StrokeLineStyle lineStyle)`
  Sets the line style.
  `void`
  `setMiterLimit​(double miterLimit)`
  Sets the miter limit.
  `void`
  `setOpacity​(String opacity)`
  Sets the opacity.
  `void`
  `setSource​(String source)`
  Sets the source.
  `void`
  `setStartArrow​(StrokeArrowType startArrow)`
  Sets the start arrow.
  `void`
  `setStartArrowLength​(StrokeArrowLength startArrowLength)`
  Sets the start arrow length.
  `void`
  `setStartArrowWidth​(StrokeArrowWidth startArrowWidth)`
  Sets the start arrow width.
  `void`
  `setTitle​(String title)`
  Sets the title.
  `void`
  `setWeight​(String weight)`
  Sets the weight.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StrokeChild

    public StrokeChild()

- ## Method Details

  - ### clone

    public abstract StrokeChild clone()
    Overrides:
      `clone` in class `Object`

  - ### getAlternateImageReferenceLocation

    public String getAlternateImageReferenceLocation()
    Gets the alternate image reference location.
    Returns:
      the alternate image reference location

  - ### setAlternateImageReferenceLocation

    public void setAlternateImageReferenceLocation​(String alternateImageReferenceLocation)
    Sets the alternate image reference location.
    Parameters:
      `alternateImageReferenceLocation` - the new alternate image reference location

  - ### getColor

    public String getColor()
    Gets the color.
    Returns:
      the color

  - ### setColor

    public void setColor​(String color)
    Sets the color.
    Parameters:
      `color` - the new color

  - ### getAlternatePatternColor

    public String getAlternatePatternColor()
    Gets the alternate pattern color.
    Returns:
      the alternate pattern color

  - ### setAlternatePatternColor

    public void setAlternatePatternColor​(String alternatePatternColor)
    Sets the alternate pattern color.
    Parameters:
      `alternatePatternColor` - the new alternate pattern color

  - ### getDashPattern

    public String getDashPattern()
    Gets the dash pattern.
    Returns:
      the dash pattern

  - ### setDashPattern

    public void setDashPattern​(String dashPattern)
    Sets the dash pattern.
    Parameters:
      `dashPattern` - the new dash pattern

  - ### getEndArrow

    public StrokeArrowType getEndArrow()
    Gets the end arrow.
    Returns:
      the end arrow

  - ### setEndArrow

    public void setEndArrow​(StrokeArrowType endArrow)
    Sets the end arrow.
    Parameters:
      `endArrow` - the new end arrow

  - ### getEndArrowLength

    public StrokeArrowLength getEndArrowLength()
    Gets the end arrow length.
    Returns:
      the end arrow length

  - ### setEndArrowLength

    public void setEndArrowLength​(StrokeArrowLength endArrowLength)
    Sets the end arrow length.
    Parameters:
      `endArrowLength` - the new end arrow length

  - ### getEndArrowWidth

    public StrokeArrowWidth getEndArrowWidth()
    Gets the end arrow width.
    Returns:
      the end arrow width

  - ### setEndArrowWidth

    public void setEndArrowWidth​(StrokeArrowWidth endArrowWidth)
    Sets the end arrow width.
    Parameters:
      `endArrowWidth` - the new end arrow width

  - ### getEndCap

    public StrokeEndCapType getEndCap()
    Gets the end cap.
    Returns:
      the end cap

  - ### setEndCap

    public void setEndCap​(StrokeEndCapType endCap)
    Sets the end cap.
    Parameters:
      `endCap` - the new end cap

  - ### getExtensionHandlingBehavior

    public ExtensionHandlingBehavior getExtensionHandlingBehavior()
    Gets the extension handling behavior.
    Returns:
      the extension handling behavior

  - ### setExtensionHandlingBehavior

    public void setExtensionHandlingBehavior​(ExtensionHandlingBehavior extensionHandlingBehavior)
    Sets the extension handling behavior.
    Parameters:
      `extensionHandlingBehavior` - the new extension handling behavior

  - ### getFillType

    public FillType getFillType()
    Gets the fill type.
    Returns:
      the fill type

  - ### setFillType

    public void setFillType​(FillType fillType)
    Sets the fill type.
    Parameters:
      `fillType` - the new fill type

  - ### isForceDash

    public boolean isForceDash()
    Checks if is force dash.
    Returns:
      true, if is force dash

  - ### setForceDash

    public void setForceDash​(boolean forceDash)
    Sets the force dash.
    Parameters:
      `forceDash` - the new force dash

  - ### getImageUrl

    public String getImageUrl()
    Gets the image url.
    Returns:
      the image url

  - ### setImageUrl

    public void setImageUrl​(String imageUrl)
    Sets the image url.
    Parameters:
      `imageUrl` - the new image url

  - ### isImageAlignment

    public boolean isImageAlignment()
    Checks if is image alignment.
    Returns:
      true, if is image alignment

  - ### setImageAlignment

    public void setImageAlignment​(boolean imageAlignment)
    Sets the image alignment.
    Parameters:
      `imageAlignment` - the new image alignment

  - ### getImageAspectRatio

    public ImageAspect getImageAspectRatio()
    Gets the image aspect ratio.
    Returns:
      the image aspect ratio

  - ### setImageAspectRatio

    public void setImageAspectRatio​(ImageAspect imageAspectRatio)
    Sets the image aspect ratio.
    Parameters:
      `imageAspectRatio` - the new image aspect ratio

  - ### getImageSize

    public String getImageSize()
    Gets the image size.
    Returns:
      the image size

  - ### setImageSize

    public void setImageSize​(String imageSize)
    Sets the image size.
    Parameters:
      `imageSize` - the new image size

  - ### isInsetBorderFromPath

    public boolean isInsetBorderFromPath()
    Checks if is inset border from path.
    Returns:
      true, if is inset border from path

  - ### setInsetBorderFromPath

    public void setInsetBorderFromPath​(boolean insetBorderFromPath)
    Sets the inset border from path.
    Parameters:
      `insetBorderFromPath` - the new inset border from path

  - ### getJoinStyle

    public StrokeJoinStyle getJoinStyle()
    Gets the join style.
    Returns:
      the join style

  - ### setJoinStyle

    public void setJoinStyle​(StrokeJoinStyle joinStyle)
    Sets the join style.
    Parameters:
      `joinStyle` - the new join style

  - ### getLineStyle

    public StrokeLineStyle getLineStyle()
    Gets the line style.
    Returns:
      the line style

  - ### setLineStyle

    public void setLineStyle​(StrokeLineStyle lineStyle)
    Sets the line style.
    Parameters:
      `lineStyle` - the new line style

  - ### getMiterLimit

    public double getMiterLimit()
    Gets the miter limit.
    Returns:
      the miter limit

  - ### setMiterLimit

    public void setMiterLimit​(double miterLimit)
    Sets the miter limit.
    Parameters:
      `miterLimit` - the new miter limit

  - ### isDisplay

    public boolean isDisplay()
    Checks if is display.
    Returns:
      true, if is display

  - ### setDisplay

    public void setDisplay​(boolean display)
    Sets the display.
    Parameters:
      `display` - the new display

  - ### getOpacity

    public String getOpacity()
    Gets the opacity.
    Returns:
      the opacity

  - ### setOpacity

    public void setOpacity​(String opacity)
    Sets the opacity.
    Parameters:
      `opacity` - the new opacity

  - ### getSource

    public String getSource()
    Gets the source.
    Returns:
      the source

  - ### setSource

    public void setSource​(String source)
    Sets the source.
    Parameters:
      `source` - the new source

  - ### getStartArrow

    public StrokeArrowType getStartArrow()
    Gets the start arrow.
    Returns:
      the start arrow

  - ### setStartArrow

    public void setStartArrow​(StrokeArrowType startArrow)
    Sets the start arrow.
    Parameters:
      `startArrow` - the new start arrow

  - ### getStartArrowLength

    public StrokeArrowLength getStartArrowLength()
    Gets the start arrow length.
    Returns:
      the start arrow length

  - ### setStartArrowLength

    public void setStartArrowLength​(StrokeArrowLength startArrowLength)
    Sets the start arrow length.
    Parameters:
      `startArrowLength` - the new start arrow length

  - ### getStartArrowWidth

    public StrokeArrowWidth getStartArrowWidth()
    Gets the start arrow width.
    Returns:
      the start arrow width

  - ### setStartArrowWidth

    public void setStartArrowWidth​(StrokeArrowWidth startArrowWidth)
    Sets the start arrow width.
    Parameters:
      `startArrowWidth` - the new start arrow width

  - ### getTitle

    public String getTitle()
    Gets the title.
    Returns:
      the title

  - ### setTitle

    public void setTitle​(String title)
    Sets the title.
    Parameters:
      `title` - the new title

  - ### getWeight

    public String getWeight()
    Gets the weight.
    Returns:
      the weight

  - ### setWeight

    public void setWeight​(String weight)
    Sets the weight.
    Parameters:
      `weight` - the new weight